%define		_state		stable
%define		orgname		rocs

Summary:	K Desktop Environment - Rocs Graph Theory
Summary(pl.UTF-8):	K Desktop Environment - Rocs - teoria grafów
Name:		kde4-rocs
Version:	4.14.3
Release:	3
License:	GPL
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	e8f37a32c800cc07f263c3e411589cbf
Patch0:		cmake.patch
URL:		http://www.kde.org/
BuildRequires:	QtScriptTools-devel
BuildRequires:	boost-devel
BuildRequires:	grantlee-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
Obsoletes:	kde4-kdeedu-rocs < 4.7.0
Obsoletes:	rocs <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graph Theory Tool for Professors and Students.

%description -l pl.UTF-8
Teoria grafów dla profesorów oraz studentów.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdeedu-devel < 4.7.0
Obsoletes:	rocs-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
export CXXFLAGS="%{rpmcxxflags} -std=gnu++98"
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rocs
%{_desktopdir}/kde4/rocs.desktop
%{_datadir}/appdata/rocs.appdata.xml
%{_datadir}/apps/rocs
%{_datadir}/apps/rocs_rootedtree
%{_datadir}/config.kcfg/rocs.kcfg
%{_datadir}/kde4/services/rocs_assignvaluesplugin.desktop
%{_datadir}/kde4/services/rocs_dotfileformatplugin.desktop
%{_datadir}/kde4/services/rocs_generategraphplugin.desktop
%{_datadir}/kde4/services/rocs_gmlfileformatplugin.desktop
%{_datadir}/kde4/services/rocs_GraphStructure.desktop
%{_datadir}/kde4/services/rocs_kmlfileformatplugin.desktop
%{_datadir}/kde4/services/rocs_ListStructure.desktop
%{_datadir}/kde4/services/rocs_RootedTreeStructure.desktop
%{_datadir}/kde4/services/rocs_tgffileformatplugin.desktop
%{_datadir}/kde4/services/rocs_tikzfileformatplugin.desktop
%{_datadir}/kde4/services/rocs_transformedgesplugin.desktop
%{_datadir}/kde4/servicetypes/RocsDataStructurePlugin.desktop
%{_datadir}/kde4/servicetypes/RocsGraphFilePlugin.desktop
%{_datadir}/kde4/servicetypes/RocsToolsPlugin.desktop
%{_datadir}/config/rocs.knsrc
%{_iconsdir}/hicolor/*x*/apps/rocs.png
%{_iconsdir}/hicolor/scalable/apps/rocs.svgz

%attr(755,root,root) %{_libdir}/kde4/rocs_assignvaluesplugin.so
%attr(755,root,root) %{_libdir}/kde4/rocs_dotfileformat.so
%attr(755,root,root) %{_libdir}/kde4/rocs_generategraphplugin.so
%attr(755,root,root) %{_libdir}/kde4/rocs_gmlfileformat.so
%attr(755,root,root) %{_libdir}/kde4/rocs_GraphStructure.so
%attr(755,root,root) %{_libdir}/kde4/rocs_kmlfileformat.so
%attr(755,root,root) %{_libdir}/kde4/rocs_ListStructure.so
%attr(755,root,root) %{_libdir}/kde4/rocs_RootedTreeStructure.so
%attr(755,root,root) %{_libdir}/kde4/rocs_tgffileformat.so
%attr(755,root,root) %{_libdir}/kde4/rocs_tikzfileformat.so
%attr(755,root,root) %{_libdir}/kde4/rocs_transformedgesplugin.so
%attr(755,root,root) %ghost %{_libdir}/librocscore.so.?
%attr(755,root,root) %{_libdir}/librocscore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librocsvisualeditor.so.?
%attr(755,root,root) %{_libdir}/librocsvisualeditor.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/rocs
%attr(755,root,root) %{_libdir}/librocscore.so
%attr(755,root,root) %{_libdir}/librocsvisualeditor.so
%changelog
* Fri Oct 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-rocs.git;a=log;h=master

* Fri Oct 04 2019 Jan Rękorajski <baggins@pld-linux.org> f297e4d
- fix cmake syntax
- requires g++98 to build
- rel 3

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> c802926
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> cdd1d34
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3176437
- updated to 4.14.0
- appdata file packaged

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e06397d
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 91a40a9
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d3b2e6a
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 942b2e7
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b9db2af
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 52e935c
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ce7e355
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 27 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 4cd138f
- 4.12.0

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> aba20fa
- package app icons
- rel 2

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 7aac60f
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 9b25a14
- updated files

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> e0f09a7
- updating files

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 001bdcb
- updating files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 7863716
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 9c8d25b
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> e6237c5
- updated to 4.9.3.

